I suggest you ...

Sphere works in Firefox

Sphere back end and front end should work in the Firefox browser

189 votes
Vote
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    I agree to the terms of service
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    AdminRobert McAllen (Product Manager, Blackbaud Sphere) shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    2 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      I agree to the terms of service
      Signed in as (Sign out)
      Submitting...
      • Angi Roberts commented  ·   ·  Flag as inappropriate

        There is a plug in for Firefox called IElite but it only works with certain versions of windows/mac, so users have to upload older versions of the plugin to make it work. It's not very elegant and still is not perfect, but it works. We have a TON of mac users who are members and this inablity to use Firefox is the #1 complaint I receive (nearly every week and often multiple times every week). It also limits our volunteers' capabilities since many of them are also on mac or on windows but prefer firefox over the unstable IE. My IE crashes on Sphere at least ten times a day every day because of having to use the older verions on Sphere. I just have become accustomed to it, but it is a huge waste of time, restarting IE all the time.

      • Sharn commented  ·   ·  Flag as inappropriate

        I just installed Firefox 12.0. I can do most of my CMS/Forms/etc tasks in Firefox, but did not have any success building our emails and enewsletters. It seems that the CMS for there will not allow me to enter anything in the content area. No errors, just no response at all.

      Feedback and Knowledge Base